Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(2)

Issue 2828243002: Give |allow_stale_resources_| a lower priority in DetermineRevalidationPolicy (Closed)

Created:
7 months ago by yhirano
Modified:
6 months, 4 weeks ago
CC:
chromium-reviews, tyoshino+watch_chromium.org, loading-reviews_chromium.org, gavinp+loader_chromium.org, blink-reviews, loading-reviews+fetch_chromium.org, kinuko+watch, Nate Chapin
Target Ref:
refs/heads/master
Project:
chromium
Visibility:
Public.

Description

Give |allow_stale_resources_| a lower priority in DetermineRevalidationPolicy This CL changes DetermineRevalidationPolicy a bit to simplify it. With this CL, |allow_stale_resources_| will be checked after ResourceLoaderOptions::CanReuseRequest is checked. CanReuseRequest checks the synchronous policy and the cors policy, and neither of them is related to staleness. Moreover, the synchronous policy was once checked BEFORE allow_stale_resources_ (see [1]). Also, any user of ResourceCacheValidationSuppressor, the class used to enable |allow_stale_resource_|, doesn't seem to be interested in CORS. Hence I expect no behavior change from this CL. 1: https://crrev.com/733a476495c43c1f472e5770c9d8aeeb94c5caca BUG=652228 R=hiroshige@chromium.org, japhet@chromium.org Review-Url: https://codereview.chromium.org/2828243002 Cr-Commit-Position: refs/heads/master@{#466880} Committed: https://chromium.googlesource.com/chromium/src/+/0b1688086e55683b586a5f00908266ea4e5a1296

Patch Set 1 #

Patch Set 2 : rebase #

Unified diffs Side-by-side diffs Delta from patch set Stats (+4 lines, -4 lines) Patch
M third_party/WebKit/Source/platform/loader/fetch/ResourceFetcher.cpp View 1 2 chunks +4 lines, -4 lines 0 comments Download
Trybot results:  mac_chromium_rel_ng   win_chromium_rel_ng   win_clang   win_chromium_x64_rel_ng   mac_chromium_rel_ng   win_chromium_compile_dbg_ng   ios-simulator   ios-simulator-xcode-clang   mac_chromium_compile_dbg_ng   ios-device   ios-device-xcode-clang   linux_chromium_tsan_rel_ng   linux_chromium_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_rel_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_daisy_chromium_compile_only_ng   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   linux_android_rel_ng   cast_shell_android   android_cronet   android_n5x_swarming_rel   android_compile_dbg   android_clang_dbg_recipe   android_arm64_dbg_recipe   mac_chromium_compile_dbg_ng   win_clang   win_chromium_rel_ng   win_chromium_x64_rel_ng   win_chromium_compile_dbg_ng   mac_chromium_compile_dbg_ng   mac_chromium_rel_ng   ios-simulator-xcode-clang   ios-simulator   ios-device-xcode-clang   linux_chromium_rel_ng   linux_chromium_tsan_rel_ng   ios-device   linux_chromium_chromeos_rel_ng   linux_chromium_compile_dbg_ng   linux_chromium_chromeos_ozone_rel_ng   linux_chromium_asan_rel_ng   chromium_presubmit   chromeos_amd64-generic_chromium_compile_only_ng   cast_shell_linux   chromeos_daisy_chromium_compile_only_ng   cast_shell_android   android_n5x_swarming_rel   linux_android_rel_ng   android_compile_dbg   android_cronet   android_arm64_dbg_recipe   android_clang_dbg_recipe 

Depends on Patchset:

Dependent Patchsets:

Messages

Total messages: 31 (23 generated)
yhirano
7 months ago (2017-04-20 10:22:36 UTC) #9
tyoshino (SeeGerritForStatus)
s/cors the policy/cors policy/ in the description.
7 months ago (2017-04-20 10:50:15 UTC) #15
tyoshino (SeeGerritForStatus)
s/to interested/to be interested/
7 months ago (2017-04-20 10:51:31 UTC) #16
tyoshino (SeeGerritForStatus)
lgtm
7 months ago (2017-04-20 10:52:43 UTC) #17
yhirano
> s/cors the policy/cors policy/ in the description. > s/to interested/to be interested/ Done.
7 months ago (2017-04-21 01:17:49 UTC) #20
Nate Chapin
lgtm
7 months ago (2017-04-21 18:21:43 UTC) #25
commit-bot: I haz the power
CQ is trying da patch. Follow status at: https://chromium-cq-status.appspot.com/v2/patch-status/codereview.chromium.org/2828243002/20001
6 months, 4 weeks ago (2017-04-25 00:58:54 UTC) #28
commit-bot: I haz the power
6 months, 4 weeks ago (2017-04-25 05:20:14 UTC) #31
Message was sent while issue was closed.
Committed patchset #2 (id:20001) as
https://chromium.googlesource.com/chromium/src/+/0b1688086e55683b586a5f009082...

Powered by Google App Engine
This is Rietveld efc10ee0f